Service Intent must be explicit

Hi All,

 

I want implement push notification in android app which is developed through titanium sdk.

I used "ti.urbanairship" modules. This is the UrbanAirship Module for Titanium apps.

When I run my app in andorid mobile device I am getting below error.

[ERROR] :  TiApplication: (IntentService[PushWorkerService]) [7149,13327] Sending event: exception on thread: IntentService[PushWorkerService] msg:java.lang.IllegalArgumentException: Service Intent must be explicit: Intent { act=com.google.android.c2dm.intent.REGISTER (has extras) }; Titanium 5.2.1,2016/03/18 22:51,23e1c7d

[ERROR] :  TiApplication: java.lang.IllegalArgumentException: Service Intent must be explicit: Intent { act=com.google.android.c2dm.intent.REGISTER (has extras) }

[ERROR] :  TiApplication: at android.app.ContextImpl.validateServiceIntent(ContextImpl.java:1819)

[ERROR] :  TiApplication: at android.app.ContextImpl.startServiceCommon(ContextImpl.java:1848)

[ERROR] :  TiApplication: at android.app.ContextImpl.startService(ContextImpl.java:1832)

[ERROR] :  TiApplication: at android.content.ContextWrapper.startService(ContextWrapper.java:516)

[ERROR] :  TiApplication: at com.urbanairship.push.GCMPushManager.register(Unknown Source)

[ERROR] :  TiApplication: at com.urbanairship.push.PushWorkerService.onHandleIntent(Unknown Source)

[ERROR] :  TiApplication: at android.app.IntentService$ServiceHandler.handleMessage(IntentService.java:65)

[ERROR] :  TiApplication: at android.os.Handler.dispatchMessage(Handler.java:102)

[ERROR] :  TiApplication: at android.os.Looper.loop(Looper.java:135)

[ERROR] :  TiApplication: at android.os.HandlerThread.run(HandlerThread.java:61)

 

Can any one help me out.

 

Didn't find what you were looking for?

New post

Comments

1 comment

  • Hi Chnakaya,

    Unfortunately, we do not have any official support for that Titanium module. As it stands, that module is not maintained by Urban Airship, nor has it been updated to use the latest SDK from Urban Airship. (Currently, it seems it is using 2.0.3 and 3.0.2 of our SDK, and we're now up to version 7, so it's likely issue that existed with older SDK are causing problems with newer devices).

    In order to resolve this particular issue, I would contact representatives at Appcelerator to have them update the Urban Airship module they are hosting so that you can continue to use the latest features with Urban Airship on Titanium.

    0

Please sign in to leave a comment.